# This file takes a single regular expression per line
# If USE_WHITELIST is set to True in carbon.conf, any metrics received which
# match one of these expressions will be dropped
# This file is reloaded automatically when changes are made
^some\.noisy\.metric\.prefix\..*

# Reject metrics with multiple or surrounding dots, since they lead to
# counter intuitive behavior when read (they can be read from disk but not
# from carbon-cache, at least with whisper data back-end)
{% for item in graphite_carbon_blacklist|default(graphite_carbon_blacklist_default) %}
{{ item }}
{% endfor %}
